%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		drumstick
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Version:	1.1.3
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2+
URL:		http://drumstick.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/drumstick/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
# to build the manpages
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	shared-mime-info

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Group:		System/Libraries

%description -n	%{libname}
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%files -n	%{libname}
%{_libdir}/libdrumstick-*.so.%{major}
%{_libdir}/libdrumstick-*.so.%{major}.*
%{_libdir}/%{name}/

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development libraries and headers for %{name}.

%files -n	%{devname}
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_datadir}/%{name}/cmake/
#----------------------------------------------------------------------

%package	examples
Summary:	Example programs for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}

%description	examples
This package contains the test/example programs for %{name}.

%files		examples
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}-*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}-*.1*
%{_datadir}/mime/packages/drumstick.xml

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5
%make_build

%install
%make_install -C build


%changelog
* Fri Oct 15 2021 tex - 1.1.3-2pclos2021
- adjust spec file

* Wed Oct 23 2019 tex - 1.1.3-1pclos2019
- new version

* Sat Sep 13 2019 tex - 1.1.2-1pclos2019
- 1.1.2
